---
app-id: org.gridtracker.GridTracker
runtime: org.freedesktop.Platform
runtime-version: 1.6
sdk: org.freedesktop.Sdk
sdk-version: 1.6
rename-desktop-file: gridtracker.desktop
rename-icon: gridview
copy-icon: true
finish-args:
  # X11 + XShm access
  - "--share=ipc"
  - "--socket=x11"
  # Wayland and OpenGL access
  - "--socket=wayland"
  - "--device=dri"
  # Audio access
  - "--socket=pulseaudio"
  # Network access
  - "--share=network"
  # User homedir access
  - "--filesystem=home"
modules:
  #- name: node-modules 
  #  sources: 
  #    - generated-sources.json
  - name: gridtracker
    buildsystem: simple
    build-commands: 
    - |
      mkdir -p ${FLATPAK_DEST}/{bin,share}
      cp -r dist/GridTracker-*-linux-*64 ${FLATPAK_DEST}/share/gridtracker
      mkdir -p ${FLATPAK_DEST}/share/applications
      cp gridtracker.desktop ${FLATPAK_DEST}/share/applications/gridtracker.desktop
      mkdir -p ${FLATPAK_DEST}/share/icons/hicolor/128x128/apps
      cp ${FLATPAK_DEST}/share/gridtracker/gridview.png ${FLATPAK_DEST}/share/icons/hicolor/128x128/apps/gridview.png
      ln -sr ${FLATPAK_DEST}/share/gridtracker/GridTracker ${FLATPAK_DEST}/bin/gridtracker
    sources:
    - type: dir
      path: ./